Index: trunk/SophyaProg/Tests/tnt.cc
===================================================================
--- trunk/SophyaProg/Tests/tnt.cc	(revision 2852)
+++ trunk/SophyaProg/Tests/tnt.cc	(revision 3572)
@@ -9,5 +9,4 @@
 #include "dvlist.h"
 #include "ntuple.h"
-#include "xntuple.h"
 #include "datatable.h"
 #include "swppfdtable.h"
@@ -19,6 +18,4 @@
 void test_dvl();
 void test_ntuple();
-void test_xntuple() ; 
-void test_Xntuple() ; 
 void test_DataTable() ; 
 void test_SwPPFDataTable() ; 
@@ -28,6 +25,6 @@
   SophyaInit();
   if (narg < 2) {
-    cout << " tnt/Erreur arg - Usage: tnt d/n/x/X/DT/SWDT \n" 
-	 << " d:DVList n:NTuple x/X:XNTuple DT,SWDT: SwPPF/DataTable test \n" << endl;
+    cout << " tnt/Erreur arg - Usage: tnt d/n/DT/SWDT \n" 
+	 << " d:DVList n:NTuple DT,SWDT: SwPPF/DataTable test \n" << endl;
     exit(0);
   }
@@ -36,6 +33,4 @@
     if (*arg[1] == 'd')  test_dvl();
     else if (*arg[1] == 'n')  test_ntuple();
-    else if (*arg[1] == 'x')  test_xntuple();
-    else if (*arg[1] == 'X')  test_Xntuple();
     else if (strcmp(arg[1],"DT") == 0)  test_DataTable();
     else if (strcmp(arg[1],"SWDT") == 0)  test_SwPPFDataTable();
@@ -59,5 +54,5 @@
 void test_ntuple()
 {
-  char * names[3] = {"XPos", "YPos", "Val"};
+  const char * names[3] = {"XPos", "YPos", "Val"};
   int i,j, k;
   float xnt[3];
@@ -424,112 +419,2 @@
 
 
-void test_Xntuple() 
-{
-    char* names[] = {"str1", "str2", "str3", "str4", "str5"} ; 
-    XNTuple nt(0, 0, 0, 5, names) ; 
-    char** ce = new char*[5] ; 
-    int i;
-    for(i = 0 ; i < 5 ; i++)
-	ce[i] = new char[20] ; 
-
-  cout << "======= test_Xtuple:  simple XNTuple test ======= " << endl;
-
-    strncpy(ce[1], "toto a une auto", 20) ; 
-    strncpy(ce[2], "titi a une iti", 20) ; 
-    strncpy(ce[3], "tutu a une utu", 20) ; 
-    strncpy(ce[4], "tata a une ata", 20) ; 
-    for(i = 0 ; i < 100000 ; i++) {
-	sprintf(ce[0], "%d", i) ; 
-	nt.Fill(NULL, NULL, NULL, ce) ; 
-    }
-    
-    nt.Show() ; 
-    cout << nt.LineHeaderToString() ; 
-    cout << nt.LineToString(5027) << endl ; 
-    
-    char* names2[] = {"d0", "d1", "f0", "f1", "f2", "i0", "str0", "str1"} ; 
-    XNTuple nt2(2, 3, 1, 2, names2) ; 
-    double de[2] ; float fe[3] ; int ie ; 
-    char** ce2 = new char*[2] ; 
-    for(i = 0 ; i < 2 ; i++) ce2[i] = new char[20] ; 
-    strncpy(ce2[1], "glop glop", 20) ; 
-    
-    for(i = 0 ; i < 100000 ; i++) {
-	de[0] = i ; 
-	de[1] = sin((double)i) ; 
-	fe[0] = i ; 
-	fe[1] = i * cos((double)i) ; 
-	fe[2] = 2*i ; 
-	ie    = -i; 
-	sprintf(ce[0], "%d", i) ; 
-	nt2.Fill(de, fe, &ie, ce) ; 
-    }
-    nt2.Show() ; 
-    nt2.LineHeaderToString() ; 
-    //    nt2.LineToString(20) ; 
-}
-
-
-void test_xntuple() 
-{
-    char* names[] = {"dblval", "floval", "intval", "strval"} ; 
-    XNTuple nt(1, 1, 1, 1, names) ; 
-    double de ; 
-    float  fe ; 
-    int    ie ; 
-    char*  ce = new char[22] ; 
-    
-    
-  cout << "======= test_Xtuple:  XNTuple test ======= " << endl;
-  int i;
-    for(i = 0 ; i < nt.NVar() ; i++)
-	printf(" +++ %s <--> %d \n", 
-	       nt.NomIndex(i).c_str(), nt.IndexNom(nt.NomIndex(i).c_str())) ; 
-
-    for(i = 0 ; i < 100000 ; i++) {
-	de = fe = ie = i ; 
-	sprintf(ce, "%d", i) ; 
-	nt.Fill(&de, &fe, &ie, &ce) ; 
-    }
-    nt.Show() ; 
-    cout << nt.VarList_C("toto") ; 
-    cout << nt.LineHeaderToString() ; 
-    cout << nt.LineToString(20) << endl << endl ; 
-    
-    
-    XNTuple nt2 ; 
-    nt2.SwapPath() = "/tmp/sop/" ; 
-    nt2.Copy(nt) ; 
-    nt2.Show() ; 
-    for(i = 0 ; i < 100000 ; i++) {
-	de = fe = ie = i ; 
-	sprintf(ce, "%d", i) ; 
-	nt2.Fill(&de, &fe, &ie, &ce) ; 
-    }
-    nt2.Show() ; 
-    
-    {
-      POutPersist os("xnt.ppf");
-      os << nt2 ;
-    }
-
-    XNTuple::SetSwapPath("/tmp/sop/") ; 
-    XNTuple nt3("xnt.ppf") ; 
-    nt3.Show() ; 
-    
-    for(i = 0 ; i < nt3.NEntry() ; i+= 1000)
-	printf("%f %f %d %s\n", 
-	       nt3.GetDVal(i,0), 
-	       nt3.GetFVal(i,1), 
-	       nt3.GetIVal(i,2), 
-	       nt3.GetSVal(i,3).c_str()) ; 
-    
-    double min, max ; 
-    for(i = 0 ; i < nt3.NVar() ; i++) {
-	nt3.GetMinMax(i, min, max) ; 
-	printf("GetMinMax(%s) : %f/%f\n", 
-	       nt3.NomIndex(i).c_str(), min, max) ; 
-    }
-    //    nt3.Show() ; 
-}
-
